Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg
Class QuantizationTable

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg.QuantizationTable

    public class QuantizationTable

extends java.lang.Object

Encapsulation of a quantization table entry for a JPEG image.

Author:
  Gary McGath

Constructor Summary
`QuantizationTable(int precision, int destIdentifier)` Constructor.

Method Summary
`Property` | `makeProperty(boolean raw)` Returns a Property defining the quantization table

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuantizationTable

    public QuantizationTable(int precision,
                             int destIdentifier)

  Constructor.

Method Detail

### makeProperty

    public Property makeProperty(boolean raw)

  Returns a Property defining the quantization table

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD